Bug 614218 - lshw reports trailing garbage on ext4 lastmountpoints
Summary: lshw reports trailing garbage on ext4 lastmountpoints
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lshw   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: http://ezix.org/project/ticket/498
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-13 21:33 UTC by Mike Fleetwood
Modified: 2010-09-25 05:39 UTC (History)
1 user (show)

Fixed In Version: lshw-B.02.14-5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 22:29:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream fix, changeset 2144 (715 bytes, patch)
2010-07-13 21:38 UTC, Mike Fleetwood
no flags Details | Diff

Description Mike Fleetwood 2010-07-13 21:33:29 UTC
Description of problem:
Lshw reports trailing garbage on ext4 lastmountpoint attribute.


Version-Release number of selected component (if applicable):
lshw-B.02.14


How reproducible:
100% of the time with ext4 file systems.


Steps to Reproduce:
1. lshw | grep lastmountpoint
2.
3.


Actual results:
[root@edge ~]# tune2fs -l LABEL=F12-/ | grep 'Last mounted on'
Last mounted on:          /
[root@edge ~]# tune2fs -l LABEL=F12-/boot | grep 'Last mounted on'
Last mounted on:          /boot
[root@edge ~]# lshw | grep lastmountpoint
                   configuration: created=2010-01-03 13:20:45 filesystem=ext4 label=F12-/boot lastmountpoint=/boot�~���������`�����C�M�ܡ���`�@���_��@����������������� modified=2010-07-13 19:07:44 mount.fstype=ext4 mount.options=rw,seclabel,relatime,barrier=1,data=ordered mounted=2010-07-13 19:07:44 state=mounted
                   configuration: created=2010-01-03 13:20:47 filesystem=ext4 label=F12-/ lastmountpoint=/�S������H%L�����C�M�pJ�H%L�p�D����p�D�����̞����M��� modified=2010-07-05 17:29:03 mount.fstype=ext4 mount.options=rw,seclabel,relatime,barrier=1,data=ordered mounted=2010-07-13 19:07:43 state=mounted


Expected results:
No trailing garbage characters at the end of the lastmountpoint attribute.


Additional info:
This bug is known and fixed up stream, but not yet included in a release.
* bug - http://ezix.org/project/ticket/498
* fix - http://ezix.org/project/changeset/2144

Attaching patch (exactly upstream changeset 2144).  Tested patch with released lshw-B.02.14 successfully.  Generated patch with:
svn diff http://ezix.org/source/packages/lshw/development@2143 http://ezix.org/source/packages/lshw/development@2144 > lshw-B.02.14-lastmountpoint.patch

Comment 1 Mike Fleetwood 2010-07-13 21:38:16 UTC
Created attachment 431602 [details]
Upstream fix, changeset 2144

Comment 2 Terje Røsten 2010-07-16 08:02:00 UTC
Thanks for the report, will push a updated package soon.

Comment 3 Fedora Update System 2010-09-05 18:11:30 UTC
lshw-B.02.14-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lshw-B.02.14-5.fc13

Comment 4 Fedora Update System 2010-09-05 18:11:35 UTC
lshw-B.02.14-5.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/lshw-B.02.14-5.fc12

Comment 5 Fedora Update System 2010-09-05 18:11:40 UTC
lshw-B.02.14-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lshw-B.02.14-5.fc14

Comment 6 Fedora Update System 2010-09-06 05:14:34 UTC
lshw-B.02.14-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lshw'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lshw-B.02.14-5.fc14

Comment 7 Fedora Update System 2010-09-15 22:29:15 UTC
lshw-B.02.14-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-15 22:35:17 UTC
lshw-B.02.14-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-09-25 05:39:31 UTC
lshw-B.02.14-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.